summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/csit
diff options
context:
space:
mode:
authorVratko Polak <vrpolak@cisco.com>2020-01-07 18:31:53 +0100
committerVratko Polak <vrpolak@cisco.com>2020-01-09 10:35:07 +0100
commit6e1c00a92c2f447c77a77a1ed16aee74add7d3d4 (patch)
tree34720f80b558abde7ec8c26522eed5efbf52233f /jjb/scripts/csit
parent0d6b996be277794b777d6f69676dfcf583c7fa25 (diff)
CSIT: Make script inclusion more readable
Historically, scripts names started with include-raw-csit- prefix. That was not only long and superfluous, but also confusing, as the actual way of including uses "include-raw-escape", which is a command behaving differently than "include-raw", suggested by the previous name. This Change shortens script names to the part that actually says something about the script. + Move scripts to jjb/scripts/csit/. - "Absolute" paths are not used, as ci-man root is not in serarch path. + Put each path on a separate line to avoid long lines. + Update copyright years, add missing copyright notices. Change-Id: Ifcfad5833577d78bf9105f494d5bf6187abc2a68 Signed-off-by: Vratko Polak <vrpolak@cisco.com>
Diffstat (limited to 'jjb/scripts/csit')
-rw-r--r--jjb/scripts/csit/cpta.sh87
-rw-r--r--jjb/scripts/csit/device-semiweekly.sh47
-rw-r--r--jjb/scripts/csit/device-verify.sh19
-rw-r--r--jjb/scripts/csit/dmm-functional-virl.sh40
-rw-r--r--jjb/scripts/csit/docs.sh76
-rw-r--r--jjb/scripts/csit/hc2vpp-verify-func.sh49
-rw-r--r--jjb/scripts/csit/nsh_sfc-functional-virl.sh34
-rw-r--r--jjb/scripts/csit/nsh_sfc-perf-hw.sh32
-rw-r--r--jjb/scripts/csit/perf-timed.sh38
-rw-r--r--jjb/scripts/csit/perf-verify.sh28
-rw-r--r--jjb/scripts/csit/report.sh76
-rw-r--r--jjb/scripts/csit/tldk-functional-virl.sh39
-rw-r--r--jjb/scripts/csit/tox.sh22
-rw-r--r--jjb/scripts/csit/vpp-functional-multilink.sh28
-rw-r--r--jjb/scripts/csit/vpp-functional-virl.sh28
15 files changed, 643 insertions, 0 deletions
diff --git a/jjb/scripts/csit/cpta.sh b/jjb/scripts/csit/cpta.sh
new file mode 100644
index 000000000..d6bc187b4
--- /dev/null
+++ b/jjb/scripts/csit/cpta.sh
@@ -0,0 +1,87 @@
+#!/bin/bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -xe -o pipefail
+
+[ "${DOCS_REPO_URL}" ] || DOCS_REPO_URL="https://nexus.fd.io/content/sites/site"
+[ "${PROJECT_PATH}" ] || PROJECT_PATH="io/fd/csit"
+[ "${DOC_DIR}" ] || DOC_DIR="resources/tools/presentation"
+[ "${BUILD_DIR}" ] || BUILD_DIR="${DOC_DIR}/_build"
+[ "${SITE_DIR}" ] || SITE_DIR="build-root/docs/deploy-site"
+[ "${RESOURCES_DIR}" ] || RESOURCES_DIR="${SITE_DIR}/src/site/resources/trending"
+[ "${STATIC_VPP_DIR}" ] || STATIC_VPP_DIR="${RESOURCES_DIR}/_static/vpp"
+[ "${MVN}" ] || MVN="/opt/apache/maven/bin/mvn"
+[ "${FAILED_TESTS}" ] || FAILED_TESTS="${STATIC_VPP_DIR}/trending-failed-tests.txt"
+[ "${REGRESSIONS}" ] || REGRESSIONS="${STATIC_VPP_DIR}/trending-regressions.txt"
+[ "${PROGRESSIONS}" ] || PROGRESSIONS="${STATIC_VPP_DIR}/trending-progressions.txt"
+
+# Create a text file with email body in case the build fails:
+cd "${WORKSPACE}"
+mkdir -p "${STATIC_VPP_DIR}"
+EMAIL_BODY="ERROR: The build number ${BUILD_NUMBER} of the job ${JOB_NAME} failed. For more information see: ${BUILD_URL}"
+echo "${EMAIL_BODY}" > "${FAILED_TESTS}"
+echo "${EMAIL_BODY}" > "${REGRESSIONS}"
+echo "${EMAIL_BODY}" > "${PROGRESSIONS}"
+
+cd "${DOC_DIR}"
+chmod +x ./run_cpta.sh
+STATUS=$(./run_cpta.sh | tail -1)
+
+cd "${WORKSPACE}"
+rm -rf "${SITE_DIR}/"*
+
+mkdir -p "${RESOURCES_DIR}"
+ls "${RESOURCES_DIR}"
+mv -f "${BUILD_DIR}/"* "${RESOURCES_DIR}"
+
+cd "${SITE_DIR}"
+
+cat > pom.xml << EOF
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+ <modelVersion>4.0.0</modelVersion>
+ <groupId>io.fd.csit</groupId>
+ <artifactId>docs</artifactId>
+ <version>1.0.0</version>
+ <packaging>pom</packaging>
+ <properties>
+ <generateReports>false</generateReports>
+ </properties>
+ <build>
+ <extensions>
+ <extension>
+ <groupId>org.apache.maven.wagon</groupId>
+ <artifactId>wagon-webdav-jackrabbit</artifactId>
+ <version>2.10</version>
+ </extension>
+ </extensions>
+ </build>
+ <distributionManagement>
+ <site>
+ <id>fdio-site</id>
+ <url>dav:${DOCS_REPO_URL}/${PROJECT_PATH}/${GERRIT_BRANCH}</url>
+ </site>
+ </distributionManagement>
+</project>
+EOF
+
+${MVN} site:site site:deploy -gs "${GLOBAL_SETTINGS_FILE}" -s "${SETTINGS_FILE}" -T 4C
+
+cd -
+
+if [ "${STATUS}" == "PASS" ]; then
+ exit 0
+else
+ exit 1
+fi
diff --git a/jjb/scripts/csit/device-semiweekly.sh b/jjb/scripts/csit/device-semiweekly.sh
new file mode 100644
index 000000000..10c3ed7a0
--- /dev/null
+++ b/jjb/scripts/csit/device-semiweekly.sh
@@ -0,0 +1,47 @@
+#!/usr/bin/env bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -exuo pipefail
+
+# Clone CSIT git repository and proceed with entry script located there.
+#
+# Variables read:
+# - WORKSPACE - Jenkins workspace to create csit subdirectory in.
+# - BRANCH_ID - CSIT operational branch to be used for test.
+# Directories updated:
+# - ${WORKSPACE}/csit - Created, holding a checked out CSIT repository.
+# - Multiple other side effects by entry script(s), see CSIT repository.
+
+cd "${WORKSPACE}"
+git clone https://gerrit.fd.io/r/csit --depth=1 --no-single-branch --no-checkout
+# Check BRANCH_ID value.
+if [[ -z "${BRANCH_ID-}" ]]; then
+ echo "BRANCH_ID not provided => 'oper' belonging to master will be used."
+ BRANCH_ID="oper"
+fi
+pushd "${WORKSPACE}/csit"
+# Get the latest verified version of the required branch.
+BRANCH_NAME=$(echo $(git branch -r | grep -E "${BRANCH_ID}-[0-9]+" | tail -n 1))
+if [[ -z "${BRANCH_NAME-}" ]]; then
+ echo "No verified CSIT branch found - exiting!"
+ exit 1
+fi
+# Remove 'origin/' from the branch name.
+BRANCH_NAME=$(echo ${BRANCH_NAME#origin/})
+# Checkout the required csit branch.
+git checkout "${BRANCH_NAME}"
+popd
+csit_entry_dir="${WORKSPACE}/csit/resources/libraries/bash/entry"
+source "${csit_entry_dir}/bootstrap_vpp_device.sh"
diff --git a/jjb/scripts/csit/device-verify.sh b/jjb/scripts/csit/device-verify.sh
new file mode 100644
index 000000000..f26e6beba
--- /dev/null
+++ b/jjb/scripts/csit/device-verify.sh
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -exuo pipefail
+
+csit_entry_dir="${WORKSPACE}/resources/libraries/bash/entry"
+source "${csit_entry_dir}/bootstrap_vpp_device.sh"
diff --git a/jjb/scripts/csit/dmm-functional-virl.sh b/jjb/scripts/csit/dmm-functional-virl.sh
new file mode 100644
index 000000000..fcc0a49ad
--- /dev/null
+++ b/jjb/scripts/csit/dmm-functional-virl.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+# Copyright (c) 2018 Huawei Technologies Co.,Ltd.
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -xeu -o pipefail
+
+# Clone dmm and start tests
+git clone https://gerrit.fd.io/r/dmm
+
+# If the git clone fails, complain clearly and exit
+if [ $? != 0 ]; then
+ echo "Failed to run: git clone https://gerrit.fd.io/r/dmm"
+ exit 1
+fi
+
+# execute DMM bootstrap script if it exists
+if [ -e bootstrap-DMM.sh ]
+then
+ # make sure that bootstrap-DMM.sh is executable
+ chmod +x bootstrap-DMM.sh
+ # run the script
+ ./bootstrap-DMM.sh
+else
+ echo 'ERROR: No bootstrap-DMM.sh found'
+ exit 1
+fi
+
+# vim: ts=4 ts=4 sts=4 et : \ No newline at end of file
diff --git a/jjb/scripts/csit/docs.sh b/jjb/scripts/csit/docs.sh
new file mode 100644
index 000000000..ebd8546b8
--- /dev/null
+++ b/jjb/scripts/csit/docs.sh
@@ -0,0 +1,76 @@
+#!/bin/bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -xe -o pipefail
+
+[ "$DOCS_REPO_URL" ] || DOCS_REPO_URL="https://nexus.fd.io/content/sites/site"
+[ "$PROJECT_PATH" ] || PROJECT_PATH=io/fd/csit
+[ "$DOC_DIR" ] || DOC_DIR=resources/tools/doc_gen
+[ "$BUILD_DIR" ] || BUILD_DIR=${DOC_DIR}/_build
+[ "$SITE_DIR" ] || SITE_DIR=build-root/docs/deploy-site
+[ "$RESOURCES_DIR" ] || RESOURCES_DIR=${SITE_DIR}/src/site/resources/doc
+[ "$MVN" ] || MVN="/opt/apache/maven/bin/mvn"
+
+cd ${DOC_DIR}
+chmod +x ./run_doc.sh
+./run_doc.sh ${GERRIT_BRANCH}
+
+retval=$?
+if [ ${retval} -ne "0" ]; then
+ echo "Documentation generation failed!"
+exit ${retval}
+fi
+
+if [[ ${JOB_NAME} == *merge* ]]; then
+
+ cd ${WORKSPACE}
+
+ mkdir -p ${RESOURCES_DIR}
+ mv -f ${BUILD_DIR}/* ${RESOURCES_DIR}
+ cd ${SITE_DIR}
+
+ cat > pom.xml << EOF
+ <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+ <modelVersion>4.0.0</modelVersion>
+ <groupId>io.fd.csit</groupId>
+ <artifactId>docs</artifactId>
+ <version>1.0.0</version>
+ <packaging>pom</packaging>
+ <properties>
+ <generateReports>false</generateReports>
+ </properties>
+ <build>
+ <extensions>
+ <extension>
+ <groupId>org.apache.maven.wagon</groupId>
+ <artifactId>wagon-webdav-jackrabbit</artifactId>
+ <version>2.10</version>
+ </extension>
+ </extensions>
+ </build>
+ <distributionManagement>
+ <site>
+ <id>fdio-site</id>
+ <url>dav:${DOCS_REPO_URL}/${PROJECT_PATH}/${GERRIT_BRANCH}</url>
+ </site>
+ </distributionManagement>
+ </project>
+EOF
+
+ ${MVN} site:site site:deploy -gs "${GLOBAL_SETTINGS_FILE}" -s "${SETTINGS_FILE}" -T 4C
+
+ cd -
+
+fi
diff --git a/jjb/scripts/csit/hc2vpp-verify-func.sh b/jjb/scripts/csit/hc2vpp-verify-func.sh
new file mode 100644
index 000000000..3e3c63e07
--- /dev/null
+++ b/jjb/scripts/csit/hc2vpp-verify-func.sh
@@ -0,0 +1,49 @@
+#!/bin/bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Parse optional arguments from gerrit comment trigger
+for i in ${GERRIT_EVENT_COMMENT_TEXT}; do
+ case ${i} in
+ *honeycomb=*)
+ hc_version=`echo "${i}" | cut -d = -f2-`
+ ;;
+ *)
+ ;;
+ esac
+done
+
+# If HC variable is set, check honeycomb version.
+if [[ -n "${hc_version}" ]]; then
+ if [[ "${hc_version}" == *"-release" ]]; then
+ # we are going to test release build. All release
+ # packages should be already present in release repo
+ STREAM="release"
+ echo "STREAM set to: ${STREAM}"
+ fi
+fi
+
+# execute csit bootstrap script if it exists
+if [[ ! -e bootstrap-hc2vpp-integration.sh ]]
+then
+ echo 'ERROR: No bootstrap-hc2vpp-integration.sh found'
+ exit 1
+else
+ # make sure that bootstrap.sh is executable
+ chmod +x bootstrap-hc2vpp-integration.sh
+ # run the script
+ ./bootstrap-hc2vpp-integration.sh ${STREAM} ${OS}
+fi
+
+# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/scripts/csit/nsh_sfc-functional-virl.sh b/jjb/scripts/csit/nsh_sfc-functional-virl.sh
new file mode 100644
index 000000000..d90003d0c
--- /dev/null
+++ b/jjb/scripts/csit/nsh_sfc-functional-virl.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -xeu -o pipefail
+
+# execute nsh_sfc bootstrap script if it exists
+if [ -e bootstrap-nsh_sfc-functional-virl.sh ]
+then
+ # make sure that bootstrap-nsh_sfc-functional-virl.sh is executable
+ chmod +x bootstrap-nsh_sfc-functional-virl.sh
+ # run the script
+ if [ ${STREAM} == 'master' ]; then
+ ./bootstrap-nsh_sfc-functional-virl.sh ${STREAM} ${OS}
+ else
+ ./bootstrap-nsh_sfc-functional-virl.sh 'stable.'${STREAM} ${OS}
+ fi
+else
+ echo 'ERROR: No bootstrap-nsh_sfc-functional-virl.sh found'
+ exit 1
+fi
+
+# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/scripts/csit/nsh_sfc-perf-hw.sh b/jjb/scripts/csit/nsh_sfc-perf-hw.sh
new file mode 100644
index 000000000..6f2eb3bdd
--- /dev/null
+++ b/jjb/scripts/csit/nsh_sfc-perf-hw.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# execute nsh_sfc bootstrap script if it exists
+if [ ! -e bootstrap-verify-perf-nsh_sfc.sh ]
+then
+ echo 'ERROR: No bootstrap-verify-perf-nsh_sfc.sh found'
+ exit 1
+fi
+
+# make sure that bootstrap-verify-perf.sh is executable
+chmod +x bootstrap-verify-perf-nsh_sfc.sh
+# run the script
+if [ ${STREAM} == 'master' ]; then
+ ./bootstrap-verify-perf-nsh_sfc.sh ${STREAM} ${OS}
+else
+ ./bootstrap-verify-perf-nsh_sfc.sh 'stable.'${STREAM} ${OS}
+fi
+
+# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/scripts/csit/perf-timed.sh b/jjb/scripts/csit/perf-timed.sh
new file mode 100644
index 000000000..1ef068cdc
--- /dev/null
+++ b/jjb/scripts/csit/perf-timed.sh
@@ -0,0 +1,38 @@
+#!/usr/bin/env bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -exuo pipefail
+
+# Clone CSIT git repository and proceed with entry script located there.
+#
+# Variables read:
+# - WORKSPACE - Jenkins workspace to create csit subdirectory in.
+# - CSIT_REF - Override ref of CSIT git repository to checkout.
+# Directories updated:
+# - ${WORKSPACE}/csit - Created, holding a checked out CSIT repository.
+# - Multiple other side effects by entry script(s), see CSIT repository.
+
+cd "${WORKSPACE}"
+git clone https://gerrit.fd.io/r/csit --depth=1 --no-single-branch --no-checkout
+pushd "${WORKSPACE}/csit"
+if [[ -n "${CSIT_REF-}" ]]; then
+ git fetch --depth=1 https://gerrit.fd.io/r/csit "${CSIT_REF}"
+ git checkout FETCH_HEAD
+else
+ git checkout HEAD
+fi
+popd
+csit_entry_dir="${WORKSPACE}/csit/resources/libraries/bash/entry"
+source "${csit_entry_dir}/with_oper_for_vpp.sh" "bootstrap_verify_perf.sh"
diff --git a/jjb/scripts/csit/perf-verify.sh b/jjb/scripts/csit/perf-verify.sh
new file mode 100644
index 000000000..c68a88126
--- /dev/null
+++ b/jjb/scripts/csit/perf-verify.sh
@@ -0,0 +1,28 @@
+#!/usr/bin/env bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -exuo pipefail
+
+if [[ ${GERRIT_EVENT_TYPE} == 'comment-added' ]]; then
+ TRIGGER=`echo ${GERRIT_EVENT_COMMENT_TEXT} \
+ | grep -oE '(perftest$|perftest[[:space:]].+$)'`
+else
+ TRIGGER=''
+fi
+# Export test tags as string.
+export TEST_TAG_STRING=${TRIGGER#$"perftest"}
+
+csit_entry_dir="${WORKSPACE}/resources/libraries/bash/entry"
+source "${csit_entry_dir}/bootstrap_verify_perf.sh"
diff --git a/jjb/scripts/csit/report.sh b/jjb/scripts/csit/report.sh
new file mode 100644
index 000000000..b2ea0f966
--- /dev/null
+++ b/jjb/scripts/csit/report.sh
@@ -0,0 +1,76 @@
+#!/bin/bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -xe -o pipefail
+
+[ "$DOCS_REPO_URL" ] || DOCS_REPO_URL="https://nexus.fd.io/content/sites/site"
+[ "$PROJECT_PATH" ] || PROJECT_PATH=io/fd/csit
+[ "$DOC_DIR" ] || DOC_DIR=resources/tools/presentation
+[ "$BUILD_DIR" ] || BUILD_DIR=${DOC_DIR}/_build
+[ "$SITE_DIR" ] || SITE_DIR=build-root/docs/deploy-site
+[ "$RESOURCES_DIR" ] || RESOURCES_DIR=${SITE_DIR}/src/site/resources/report
+[ "$MVN" ] || MVN="/opt/apache/maven/bin/mvn"
+
+cd ${DOC_DIR}
+chmod +x ./run_report.sh
+./run_report.sh ${GERRIT_BRANCH}
+
+retval=$?
+if [ ${retval} -ne "0" ]; then
+ echo "Report generation failed!"
+exit ${retval}
+fi
+
+if [[ ${JOB_NAME} == *merge* ]]; then
+
+ cd ${WORKSPACE}
+
+ mkdir -p ${RESOURCES_DIR}
+ mv -f ${BUILD_DIR}/* ${RESOURCES_DIR}
+ cd ${SITE_DIR}
+
+ cat > pom.xml << EOF
+ <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+ <modelVersion>4.0.0</modelVersion>
+ <groupId>io.fd.csit</groupId>
+ <artifactId>docs</artifactId>
+ <version>1.0.0</version>
+ <packaging>pom</packaging>
+ <properties>
+ <generateReports>false</generateReports>
+ </properties>
+ <build>
+ <extensions>
+ <extension>
+ <groupId>org.apache.maven.wagon</groupId>
+ <artifactId>wagon-webdav-jackrabbit</artifactId>
+ <version>2.10</version>
+ </extension>
+ </extensions>
+ </build>
+ <distributionManagement>
+ <site>
+ <id>fdio-site</id>
+ <url>dav:${DOCS_REPO_URL}/${PROJECT_PATH}/${GERRIT_BRANCH}</url>
+ </site>
+ </distributionManagement>
+ </project>
+EOF
+
+ ${MVN} site:site site:deploy -gs "${GLOBAL_SETTINGS_FILE}" -s "${SETTINGS_FILE}" -T 4C
+
+ cd -
+
+fi
diff --git a/jjb/scripts/csit/tldk-functional-virl.sh b/jjb/scripts/csit/tldk-functional-virl.sh
new file mode 100644
index 000000000..8e732a517
--- /dev/null
+++ b/jjb/scripts/csit/tldk-functional-virl.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -xeu -o pipefail
+
+# Clone tldk and start tests
+git clone https://gerrit.fd.io/r/tldk
+
+# If the git clone fails, complain clearly and exit
+if [ $? != 0 ]; then
+ echo "Failed to run: git clone https://gerrit.fd.io/r/tldk"
+ exit 1
+fi
+
+# execute tldk bootstrap script if it exists
+if [ -e bootstrap-TLDK.sh ]
+then
+ # make sure that bootstrap-TLDK.sh is executable
+ chmod +x bootstrap-TLDK.sh
+ # run the script
+ ./bootstrap-TLDK.sh
+else
+ echo 'ERROR: No bootstrap-TLDK.sh found'
+ exit 1
+fi
+
+# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/scripts/csit/tox.sh b/jjb/scripts/csit/tox.sh
new file mode 100644
index 000000000..32ccb5c00
--- /dev/null
+++ b/jjb/scripts/csit/tox.sh
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Currently this is just a direct call to CSIT checked-out script.
+# We do not use source command, to make sure
+# the called script choses the interpreter it needs.
+
+set -exuo pipefail
+
+${WORKSPACE}/resources/libraries/bash/entry/tox.sh
diff --git a/jjb/scripts/csit/vpp-functional-multilink.sh b/jjb/scripts/csit/vpp-functional-multilink.sh
new file mode 100644
index 000000000..5cf2454eb
--- /dev/null
+++ b/jjb/scripts/csit/vpp-functional-multilink.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# execute csit bootstrap script if it exists
+if [ -e bootstrap-multilink.sh ]
+then
+ # make sure that bootstrap.sh is executable
+ chmod +x bootstrap-multilink.sh
+ # run the script
+ ./bootstrap-multilink.sh
+else
+ echo 'ERROR: No bootstrap-multilink.sh found'
+ exit 1
+fi
+
+# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/scripts/csit/vpp-functional-virl.sh b/jjb/scripts/csit/vpp-functional-virl.sh
new file mode 100644
index 000000000..f2e38e8e1
--- /dev/null
+++ b/jjb/scripts/csit/vpp-functional-virl.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# execute csit bootstrap script if it exists
+if [ -e bootstrap.sh ]
+then
+ # make sure that bootstrap.sh is executable
+ chmod +x bootstrap.sh
+ # run the script
+ ./bootstrap.sh
+else
+ echo 'ERROR: No bootstrap.sh found'
+ exit 1
+fi
+
+# vim: ts=4 ts=4 sts=4 et :